Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Static Contacts

List
GET /departments/{departmentId}/contacts
https://api.relesysapp.net/api/v1.4/departments/{departmentId}/contacts
Get a list of static contacts for the department with ID departmentId.

Default sort is by sortOrder in ascending order.
Scopes: relesys.api, relesys.api:read, relesys.api.users, relesys.api.users:read
URL Path
departmentId string / guid The department's unique identifier required
Query String
email string Filterable Sortable optional
id string / guid Filterable optional
name string Filterable Sortable optional
sortOrder integer Filterable Sortable optional
title string Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"f5dc6cd1-e94d-44f6-8b5d-e7ea4f9ce0a0","name":"John Doe","title":"Store Manager","phoneNumber":{"countryCode":45,"number":"12345678"},"email":"john.doe@example.com","image":{"id":"417f26b6-1aba-49e9-acf0-7021d6612f4d","downloadUrl":null,"referenceUrl":null,"contentType":"image/jpeg","fileName":"profile.jpg"},"sortOrder":0},{"id":"b8016bf3-f396-40ed-b332-b990b54a4c87","name":"Jane Smith","title":"Operations Manager","phoneNumber":{"countryCode":45,"number":"87654321"},"email":"jane.smith@example.com","image":null,"sortOrder":1}]}
object
  count integer      
  data array[object]      
   email string      
   id string / guid      
   image object      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   name string      
   phoneNumber object      
    countryCode integer      
    number string      
   sortOrder integer      
   title string      
  nextUrl string      
  previousUrl string